System.ServiceModel 4.0.0.0 System.Object

The indigo2 infrastructure calls the method first to retrieve the service's identity from the message. Next, the infrastructure calls the method with the returned and .

For more information about implementing the class, see How To: Create a Custom Client Identity Verifier.

An abstract base class that can be implemented to verify an expected identity against an authorization context that represents a remote endpoint, or to create an identity from an endpoint address.

- Constructor
  4.0.0.0
  To be added.

  Creates an instance of this class.

- Method
  4.0.0.0
  System.Boolean `` `` To be added.

  Implements a method to verify an identity.

  true if the identity is verified; otherwise, false. The default is false.

  The to verify. The to test the against.
- Method
  4.0.0.0
  System.ServiceModel.Security.IdentityVerifier To be added.

  Creates a default instance of this class.

  A default instance of .

- Method
  4.0.0.0
  System.Boolean `` `` To be added. To be added. To be added. To be added. To be added.